Buying Intents
This endpoint lists the buying intent topics detected for a company. For each topic, it returns the confidence level (`low`, `medium`, `high`), the number of jobs that mention the topic, and the first and last dates it was mentioned.
You must specify company_domain, company_name, company_linkedin_url.
It consumes 3 API credits per company lookup, regardless of the number of buying intent topics returned. It doesn't consume credits if there is no response.
Authorization
Bearer In: header
Request Body
application/json
- company_idstringnullable
Only return companies that match this TheirStack Company ID exactly. This ID is temporary and internal and will change in the future and become stable. Until then, it is only meant to be used internally by our UI (app.theirstack.com). For deduplication logic, use company_domain or company_linkedin_url instead.
- company_namestringnullable
Only return companies that match this name exactly, case-sensitively.
- company_domainstringnullable
Only return companies that match this domain exactly. It accepts full urls (https://www.google.com/) and emails (john.polo@gmail.com).
- company_linkedin_urlstringnullable
Return companies whose LinkedIn URL matches this URL exactly.
- company_name_orarray<string>default: []deprecated
Only return companies that match these names exactly, case-sensitively. Deprecated, use the
company_namefilter instead. - order_byarray<ColumnSortCompanyTechDetails>default: [{"desc":true,"field":"confidence"},{"desc":true,"field":"jobs"}]
List of column objects. You can pass several columns to order by, in order of priority. Only
fieldis required,descis True by default. - include_total_resultsbooleannullabledefault: false
When enabled, calculates and returns
total_resultsandtotal_companiesfields in the response. WARNING: This significantly slows down responses as it requires reading the entire dataset. Recommended usage: enable only for the initial request to get totals, then disable for subsequent pagination requests. - offsetintegernullable0 <= value
Number of results to skip. Required for offset-based pagination.
- pageintegernullable0 <= value
Page number. Required when using page-based pagination.
- limitintegernullable1 <= value
Number of results per page
- keyword_slug_orarray<string>default: []
Return companies that have mentioned any of these keywords (technologies or buying intent topics) in their jobs. Case sensitive. Pass slugs. Check out all keywords at GET /v0/catalog/keywords
- keyword_category_slug_orarray<string>default: []
Return companies that have mentioned any keyword from any of these categories in their jobs. Case sensitive. Pass slugs. Check out all keyword categories at GET /v0/catalog/keywords/categories
- keyword_parent_category_slug_orarray<string>default: []
Return companies that have mentioned any keyword from any of these parent categories in their jobs. Case sensitive. Pass slugs. Check out all keyword categories at GET /v0/catalog/keywords/categories
- technology_slug_orarray<string>default: []deprecated
Deprecated: use
keyword_slug_orinstead. Will return companies that have mentioned any of these technologies in their jobs. Case sensitive. Pass slugs. - technology_category_slug_orarray<string>default: []deprecated
Deprecated: use
keyword_category_slug_orinstead. Will return companies that have mentioned any keyword from any of these categories in their jobs. Case sensitive. Pass slugs. - technology_parent_category_slug_orarray<string>default: []deprecated
Deprecated: use
keyword_parent_category_slug_orinstead. Will return companies that have mentioned any keyword from any of these parent categories in their jobs. Case sensitive. Pass slugs. - max_rankintegernullable
The rank measures how common is a technology within its category. The technology most used among similar ones by a company will have a rank of 1, the second: 2, etc. This is useful to filter results by technology and get only results for the primary technology.
- min_jobsintegernullable
Minimum number of jobs found by each company using a technology
- max_jobsintegernullable
Maximum number of jobs found by each company using a technology
- min_relative_occurrencenumbernullable
Minimum value of relative_occurrence_within_category for each technology. Higher values increase the probability that this technology is actually used by the company, because it means a higher percentage of mentions to technologies among this category are of this technology.
- first_date_found_gtestringnullabledate
Only return technologies where the first time they were found was after or on this date. Format: "YYYY-MM-DD"
- first_date_found_ltestringnullabledate
Only return technologies where the first time they were found was before or on this date. Format: "YYYY-MM-DD"
- last_date_found_gtestringnullabledate
Only return technologies where the last time they were found was after or on this date. Format: "YYYY-MM-DD"
- last_date_found_ltestringnullabledate
Only return technologies where the last time they were found was before or on this date. Format: "YYYY-MM-DD"
- confidence_orarray<string>default: []
Returns technologies with any of these confidence values that the companies use them. Available values: "high", "medium", "low"
- low
- medium
- high
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.theirstack.com/v1/companies/buying_intents" \ -H "Content-Type: application/json" \ -d '{ "company_domain": "google.com" }'{
"data": [
{
"technology": {
"name": "PostgreSQL",
"category": "Relational Database",
"type": "technology",
"slug": "kafka",
"category_slug": "message-queue",
"parent_category": "Data Stores",
"parent_category_slug": "data-stores",
"logo": "string",
"logo_thumbnail": "string"
},
"confidence": "low",
"jobs": 54,
"jobs_last_7_days": 0,
"jobs_last_30_days": 0,
"jobs_last_180_days": 0,
"first_date_found": "2019-08-24",
"last_date_found": "2019-08-24",
"rank_within_category": 0,
"relative_occurrence_within_category": 0
}
],
"metadata": {
"total_results": 2034,
"truncated_results": 0,
"truncated_companies": 0,
"total_companies": 1045
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}How is this guide?
Last updated on
Technographics POST
This endpoint lists the technologies used by a company. For each technology, it returns the confidence level (`low`, `medium`, `high`), the number of jobs that mention the technology, and the first and last dates it was mentioned.
Get Credit Balance GET
Retrieve your team's current credit balance including remaining credits available for API calls, searches, and data exports across all endpoints.
